Skills

Read the skill webhook URL and shared secret

GET
/spaces/{space_id}/skills/{skill_id}/automation/webhook/secret

Read the URL and shared secret of the Skill's webhook (auth secret_header or hmac_signature). Available to signed-in users only.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

space_id*string

Resource identifier: space_id.

Formatuuid
skill_id*string

Resource identifier: skill_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/skills/123e4567-e89b-42d3-a456-426614174000/automation/webhook/secret"
{  "url": "https://api.adlass.io/api/v1/webhooks/triggers/abc/",  "secret": "whsec_example"}